const treeTheme = {
    baseStyle: 'flex flex-col w-full',
    nodeStyle: 'flex items-center py-1 pr-1 rounded-[calc(var(--radius-base)*0.75)] hover:bg-[var(--color-background-secondary)] cursor-pointer transition-colors select-none gap-2',
    labelStyle: 'flex-1 text-lg text-[var(--color-text-primary)] truncate',
    iconStyle: 'flex-shrink-0 text-[var(--color-text-muted)]',
    expandIconStyle: 'flex-shrink-0 mr-1 text-[var(--color-text-muted)] hover:text-[var(--color-text-primary)] transition-colors cursor-pointer size-4 flex items-center justify-center',
    indentSize: '1rem',
};

export { treeTheme };
